Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.olap
Class OdaDimensionHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.olap.DimensionHandle
                  org.eclipse.birt.report.model.api.olap.OdaDimensionHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IDimensionModel, org.eclipse.birt.report.model.elements.interfaces.IOdaOlapElementModel

    public class OdaDimensionHandle

extends DimensionHandle
implements org.eclipse.birt.report.model.elements.interfaces.IOdaOlapElementModel

Represents a dimension element in the cube element.

See Also:
  `Dimension`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IOdaOlapElementModel
`NATIVE_NAME_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDimensionModel
`ACL_EXPRESSION_PROP, DEFAULT_HIERARCHY_PROP, HIERARCHIES_PROP, IS_TIME_TYPE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`OdaDimensionHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and design element.

Method Summary
`java.lang.String` | `getNativeName()` Returns the ODA defined cube name.
`void` | `setNativeName(java.lang.String nativeName)` Sets the ODA defined cube name.

Methods inherited from class org.eclipse.birt.report.model.api.olap.DimensionHandle
`getACLExpression, getDefaultHierarchy, isTimeType, setDefaultHierarchy, setTimeType`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdaDimensionHandle

    public OdaDimensionHandle(org.eclipse.birt.report.model.core.Module module,
                              org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getNativeName

    public java.lang.String getNativeName()

  Returns the ODA defined cube name.

  Returns:
    the ODA defined cube name

### setNativeName

    public void setNativeName(java.lang.String nativeName)
                       throws SemanticException

  Sets the ODA defined cube name.

  Parameters:
    `nativeName` - the ODA defined cube name
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.